Home Forums Wiki Doc Install Extras Screenshots Source Code Projects Blog Users Groups Register
Glx-Dock / Cairo-Dock List of forums Problems at use | Problèmes à l'utilisation Weather App - No Data/Retry error after 3.4 update
The latest stable release is the *3.4.0* : How to install it here.
Note: We just switched from BZR to Git on Github! (only to host the code and your future pull requests)
Problems at use | Problèmes à l'utilisation

Subjects Author Language Messages Last message
[Locked] Weather App - No Data/Retry error after 3.4 update
Page : 1 2 3 4 5
garystewart English 81 angellily [Read]
12 September 2016 à 10:14

fabounet, Sunday 22 May 2016 à 19:18


Subscription date : 30 November 2007
Messages : 17118
Thanks for the solution, I've updated the git repository, you can now pull and rebuild (wiki)

aamadis, Sunday 22 May 2016 à 20:57


Subscription date : 12 October 2010
Messages : 18
pickarooney :
I found it easier to just edit the two files (applet-config.c and applet-read-data.c) manually with the correct URL than editing the patch and applying it, FWIW.

Works just fine in 16.04 now.


Where do you find those files?

aamadis, Sunday 22 May 2016 à 20:57


Subscription date : 12 October 2010
Messages : 18
pickarooney :
I found it easier to just edit the two files (applet-config.c and applet-read-data.c) manually with the correct URL than editing the patch and applying it, FWIW.

Works just fine in 16.04 now.


Where do you find those files?

aamadis, Sunday 22 May 2016 à 21:32


Subscription date : 12 October 2010
Messages : 18
aamadis :
pickarooney :
I found it easier to just edit the two files (applet-config.c and applet-read-data.c) manually with the correct URL than editing the patch and applying it, FWIW.

Works just fine in 16.04 now.


Where do you find those files?

Hmm, it looks like what you meant may have been you can edit those files in the source code before compiling. I'm kind of terrible with compiling. Hopefully we'll get an update soon so those of us with less skills (and on 32-bit) can have a working app too.

Thanks all who've tried to help.

roberto16900, Monday 23 May 2016 à 05:55


Subscription date : 17 May 2016
Messages : 9
fabounet :
Thanks for the solution, I've updated the git repository, you can now pull and rebuild (wiki) :)


Hi
I did all of the instructions described in the wiki, but I cannot compile
it because I got this:

CMake Warning at src/gldit/CMakeLists.txt:71 (if):
given arguments:

"GREATER" "3" "OR" "(" "EQUAL" "3" "AND" "GREATER" "8" ")"

Unknown arguments specified
and afterwards:

Configuring incomplete, errors occurred!
root@Roberto:/home/roberto/mygrit/build# make -j $(grep -c ^processor /proc/cpuinfo)
make:
* Keine Targets angegeben und keine »make«-Steuerdatei gefunden. Schluss.
root@Roberto:/home/rainer/mygrit/build#
*
I am not a hacker and I do not know how to eliminate this error.

Please be so kind to put the compiled patch into the launchpad
or explain please what are valid arguments.

Thanks in advance

ciao
Roberto

Guest, Monday 23 May 2016 à 17:37

!!! You're not logged in with a registered user and then when you'll not receive notifications when a new answer is available.

Don't forget the Anti-spam filter !!!

Guest, Monday 23 May 2016 à 17:42

Is it possible to have a solution without compiling Or is it absolutely necessary to wait for a correction by an Update ?

PS: I'm not a big Fan of compiling. Sorry

roberto16900, Tuesday 24 May 2016 à 00:17


Subscription date : 17 May 2016
Messages : 9
Guest :
Is it possible to have a solution without compiling Or is it absolutely necessary to wait for a correction by an Update ?

PS: I'm not a big Fan of compiling. Sorry


Well it seems to be a problem with this application.
fabounet who invented this cairo-dock was "wondering" why
the weather plug-in was not working and used the users to
update that git in a hurry.That is a very easy and lazy way
to maintain an application. I would have donate them some bucks
but now I will definitely not. What kind of service is it that
the chief maintainer is not looking into his own forum?
Now really where is than the problem to built a
new deb package? For my opinion that is not the right way and it is
not very user-friendly. Only the 64 bit solution worked perfect.
The other solutions did not work for me or even for other users
with the same configuration (Ubuntu 12.04 LTS 32 bit and cairo-doc 3.4.0)
There are much of reasons to not compile himself. Compiling means a lot
of typing and the risk of misstyping. The most of the users are using the package utility which works
mostly without mistakes and saves time. I have five machines four of them
are Ubuntu 12.04 LTS 64 bit but the fifth is my main Coordinator of my network
and cannot be change due to th CPU.
Now I guess that nobody will help us any more due to the 64 bit solution.
I wasted a lot of time with this problem. There was the Ubuntu 16.04 solution with 23 bit.
That was definitely not a 32 bit libcd-weather.so because it has the same volume as the 64 bit libcd-weather.so.
and it did not work.
My machines are tools to help me with my work. They are not for play and experimental use.

Ciao
Roberto

Rasta-44, Tuesday 24 May 2016 à 07:47


Subscription date : 14 May 2016
Messages : 6
Hi,

Several applications or widgets (applets) does'nt work because of Weather.com URL changing. It's not only a problem with Cairo Dock weather applet. So, we have to wait for updates

Regards

Guest, Thursday 02 June 2016 à 21:02

!!! You're not logged in with a registered user and then when you'll not receive notifications when a new answer is available.

Don't forget the Anti-spam filter !!!


    Hi All !!!

I fixed weather plug-in on Kubuntu 14.04!!!

-remove all cairo-dock from Synaptic, and install cairo-dock-

sudo add-apt-repository ppa:cairo-dock-team/ppa
sudo apt-get update
sudo apt-get install cairo-dock cairo-dock-plug-ins

Then from https://drive.google.com/open?id=0B-XSYP5W-8Wea2NWTGJtSkxybEk

i copied the file as root in /usr/lib/x86_64-linux-gnu/cairo-dock/libcd-weather.so

And Cairo-Dock weather applett working!!!

Rasta-44, Saturday 04 June 2016 à 16:59


Subscription date : 14 May 2016
Messages : 6
Hi,

Your solution is only available for the 64 bit Ubuntu or Kubuntu Lubuntu... Etc. Version. It does'nt work for 32 Bit Ubuntu Users

So, what else about the 32 Bit Linux Mint 17.3 or Ubuntu 14.04 (32 Bit)

Guest, Sunday 05 June 2016 à 13:17

Hi everybody,

I'm carefully follwoing the instruction provided by the two Guest and trying to compile the Cairo weather plugin from scratch.
I'm runnigng on Ubunt 14.04 64 bit and I have Cairo 3.4.99aplha1 installed.

I get this error message as soon as I run the patching command:

patching file applet-config.c
Hunk #1 FAILED at 174.
1 out of 1 hunk FAILED -- saving rejects to file applet-config.c.rej
patching file applet-read-data.c
Hunk #1 FAILED at 30.
1 out of 1 hunk FAILED -- saving rejects to file applet-read-data.c.rej


I hope they were just warning s and tried to move on but no luck to build.
Any hint is highly appreciated!
Regards,
Shock99er

Guest, Sunday 05 June 2016 à 21:00

Found out the reason of the "Hunk #1 failed" errors: the original .c files were missing the #define .... rows !
I was able to cmake and compile afterwars and now the weather applet is now working again.
Thanks!

Shock99er

aamadis, Monday 13 June 2016 à 16:52


Subscription date : 12 October 2010
Messages : 18
Is there really no progress on this yet? I'm on 32-bit and don't really understand the compiling instructions. I thought there would an update through the PPA by now. I also can't tell if the compiled version even works for 32-bit versions as no one has confirmed that it does. Am I missing something? I would really like to get this app working again.

Guest, Thursday 23 June 2016 à 21:05

It also doesn't build on Ubuntu Xenial (latest) because it requires deprecated packages in order to build!

I put in a question about this weeks ago, and the GLX-Dock guys have been eerily silent... like they're not using the latest stuff!!! Argh!

http://www.glx-dock.org/bg_topic.php?t=8948

Oh, well. NO weather for me... argh!

Meneer Jansen, Thursday 23 June 2016 à 21:41


Subscription date : 13 July 2010
Messages : 8
Guest :
It also doesn't build on Ubuntu Xenial (latest) because it requires deprecated packages in order to build!

I put in a question about this weeks ago, and the GLX-Dock guys have been eerily silent... like they're not using the latest stuff!!! Argh!

http://www.glx-dock.org/bg_topic.php?t=8948

Oh, well. NO weather for me... argh!

Read the topic you mentioned. Lack of any reply (within a month!) by the Cairo-dock devs makes me consider Cairo-Dock to be "abandon ware". I use Linux Mint 17.1 Rebecca 64 bit which is based on Ubuntu 14.04. But when I copy the .so file that is posted here to the proper location then there is no Weather plug-in anymore in my Cairo-dock. When I copy my backed up .so file back again: weather plug-in back, but no weather forecast of course.

And now I read that the the source code of the plug-in requires old packages/software. I think it that the only solution is a rewrite of the plug-in so that it uses a config file for the weather.com stuff instead of the weather.com url being hard coded in it. Unfortunately: I don't know how to program.

Guest, Monday 11 July 2016 à 06:51

Does anyone have a 32-bit patch libcd-weather.so they could share? I have a Lucid and Xenial machine that are 32-bit (necessarily), and Cairo-Dock weather is out on both. My 64-bit Trusty machines are working with the 64-bit patched file that was posted here. Sure could use the 32-bit, as I can't get the sources to build on Lucid or Xenial for different reasons, but impossible nonetheless.

Thanks!!!
Kyle

Guest, Monday 11 July 2016 à 23:35

Here is the libcd-weather.so for 32-bit version of software. On my machine it does work.

https://drive.google.com/open?id=0B3eQFiD3TEBUUm9meEZSYzJ2eEU

Good luck.

Meneer Jansen, Tuesday 12 July 2016 à 14:49


Subscription date : 13 July 2010
Messages : 8
Bloody Hell! The pre-built Weather libraries posted here won't work for me (Linux Mint 17.1 'Rebecca'). So I tried to build the plugins from source. Didn't work after a lot of trouble shooting w/ the aid of the tips in this forum topic. Keep on getting some crazy errors about "GLDI" even after the 'cmake ..' succeeded successfully.

So I tried to compile the whole thing from source. Downloaded the Cairo-dock core compiled it from source successfully and I installed it. But when I try to start it I get:

cairo-dock: Symbol `g_openglConfig' has different size in shared object, consider re-linking
cairo-dock: symbol lookup error: cairo-dock: undefined symbol: myStyleParam


WTF?

Thought that might be because Cairo-D missed some plugins and compiled them too from source. But no luck. Reinstalled Cairo-d w/ my package manager (i.e. Synaptic) and luckily it works again (Weather plugin still not of course).

I think that a problem might be that Mint 17.1 uses version "3.3.99.beta1.2.really.3.3.2-0ubuntu2.1" of libgli-dev. LibGLDI appears to be not a generic Linux library but a library only from- or for Cairo-Dock. That's probably why recompiling the CD core works for getting rid of the irritating seemingly unsolvable GLDI errors.

Another very irritating thing is that only compiling the Waether plugin from source (and its Cairo-D dependencies Weblets, Wifi, XFCE Integration and Xgamma) won't be accepted. Maybe editing the file 'CMakeList.txt' might help here...

Ditching the "Recent Events" applet part in 'CMakeList.txt' helps w/ the Zeigeist errors. The plugins compile from souce now, but the (of course) do not work w/ my old Mint version of Cairo-D. The all new and improved (core) version that I compiled from source withhout errors, however, doesn't work either! Aaaaarghhhhh!

Guest, Tuesday 26 July 2016 à 20:24

Hopefully someone is porting Cairo Dock to a new open-source project and will take it further. These authors are stone deaf to problems, for the most part. It won't even build on Ubuntu 16. I posted a question about that 3 months ago, but no help from the developers creating the build/source.

This whole thing is looking pretty pathetic from the source side of things. Maybe someone has made it build successfully on Ubuntu 16?

-- Viper

Problems at use | Problèmes à l'utilisation

Subjects Author Language Messages Last message
[Locked] Weather App - No Data/Retry error after 3.4 update
Page : 1 2 3 4 5
garystewart English 81 angellily [Read]
12 September 2016 à 10:14


Glx-Dock / Cairo-Dock List of forums Problems at use | Problèmes à l'utilisation Weather App - No Data/Retry error after 3.4 update Top

Online users :

Powered by ElementSpeak © 2007 Adrien Pilleboue, 2009-2013 Matthieu Baerts.
Dock based on CSS Dock Menu (Ndesign) with jQuery. Icons by zgegball
Cairo-Dock is a free software under GNU-GPL3 licence. First stable version created by Fabounet.
Many thanks to TuxFamily for the web Hosting and Mav for the domain name.